> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a vendor by ID

> **Scopes:** `vendor:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/vendors/{vendor_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/vendors/{vendor_id}:
    get:
      tags:
        - Vendor
      summary: Get a vendor by ID
      description: '**Scopes:** `vendor:read`'
      operationId: get_vendor_v0_business__business_id__vendors__vendor_id__get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            type: string
            format: biz_string
            title: Business Id
        - name: vendor_id
          in: path
          required: true
          schema:
            type: string
            format: ven_string
            title: Vendor Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - vendor:read
components:
  schemas:
    VendorSuccess:
      properties:
        data:
          $ref: '#/components/schemas/Vendor'
      type: object
      required:
        - data
      title: VendorSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    Vendor:
      properties:
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: The external ID of the vendor
        name:
          type: string
          maxLength: 255
          title: Name
          description: The name of the vendor
        contact_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Contact Name
          description: The contact name of the vendor
        email:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Email
          description: The email address of the vendor
        phone_number:
          anyOf:
            - type: string
              maxLength: 32
            - type: 'null'
          title: Phone Number
          description: The phone number of the vendor
        id:
          type: string
          format: ven_string
          title: Id
          description: The ID of the vendor
        is_disabled:
          type: boolean
          title: Is Disabled
          description: Whether the vendor is disabled
      type: object
      required:
        - name
        - id
        - is_disabled
      title: Vendor
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````